1. #1
    Ext JS Premium Member
    Join Date
    Apr 2008
    Posts
    364
    Vote Rating
    21
    rich02818 will become famous soon enough

      2  

    Default IE10 on Windows 7 - extjs 3 must be updated now

    IE10 on Windows 7 - extjs 3 must be updated now


    Extjs v3 has lacked IE10 support too long already. IE10 has been in preview on win 7 for over 3 months so this should not be a surprise. 90% of Windows 7 machines will be auto updated to IE10 breaking our extjs apps. It can't be that much effort for Sencha to fix this issue. To continue to ignore v3 will be disastrous for your customers. Please do what is right and fix this asap. Thanks.

  2. #2
    Sencha - Senior Forum Manager mitchellsimoens's Avatar
    Join Date
    Mar 2007
    Location
    Gainesville, FL
    Posts
    37,330
    Vote Rating
    847
    mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute

      0  

    Default


    We are not ignoring Ext JS 3 at all, please don't say things that are not true. We have stated that we will be doing another patch release once Ext JS 4.2.0 is released.
    Mitchell Simoens @SenchaMitch
    Sencha Inc, Senior Forum Manager
    ________________
    Check out my GitHub, lots of nice things for Ext JS 4 and Sencha Touch 2
    https://github.com/mitchellsimoens

    Think my support is good? Get more personalized support via a support subscription. https://www.sencha.com/store/

    Need more help with your app? Hire Sencha Services services@sencha.com

    Want to learn Sencha Touch 2? Check out Sencha Touch in Action that is in print!

    When posting code, please use BBCode's CODE tags.

  3. #3
    Ext JS Premium Member
    Join Date
    Apr 2008
    Posts
    364
    Vote Rating
    21
    rich02818 will become famous soon enough

      1  

    Default


    Planning to work on v3 in the future is not the same as working on it now. Allowing deployed customer apps to fail in the field because a completely anticipated problem occurs does not constitute support. Take someone off v4 and *support* v3 asap or just admit that deployed failures are less important than v4 updates.

    Please explain how the current situation is not ignoring v3?

  4. #4
    Sencha - Senior Forum Manager mitchellsimoens's Avatar
    Join Date
    Mar 2007
    Location
    Gainesville, FL
    Posts
    37,330
    Vote Rating
    847
    mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute

      0  

    Default


    The team is working on 4.2.0 and we have stated that we will be working on 3.4.2 once that is in GA. So we aren't ignoring it, it will get worked on but has to wait till 4.2.0 is released.
    Mitchell Simoens @SenchaMitch
    Sencha Inc, Senior Forum Manager
    ________________
    Check out my GitHub, lots of nice things for Ext JS 4 and Sencha Touch 2
    https://github.com/mitchellsimoens

    Think my support is good? Get more personalized support via a support subscription. https://www.sencha.com/store/

    Need more help with your app? Hire Sencha Services services@sencha.com

    Want to learn Sencha Touch 2? Check out Sencha Touch in Action that is in print!

    When posting code, please use BBCode's CODE tags.

  5. #5
    Sencha User
    Join Date
    Jan 2011
    Posts
    546
    Vote Rating
    52
    willigogs is a jewel in the rough willigogs is a jewel in the rough willigogs is a jewel in the rough

      0  

    Default


    If you need to support IE10, then ways of manually enabling this have been posted in various threads. If your customers are demanding this, then I would suggest you take a look at the source code and implement this yourself. It really isn't very difficult...

  6. #6
    Ext JS Premium Member
    Join Date
    Apr 2008
    Posts
    364
    Vote Rating
    21
    rich02818 will become famous soon enough

      0  

    Default


    Let's try to be completely clear. Are you saying that the official Sencha position is the following:

    Deployed v3 apps will be allowed to fail when running in IE on the vast majority of PCs just so that v4.2.0 can be delivered slightly sooner?

    I really don't want to believe this....

  7. #7
    Sencha - Senior Forum Manager mitchellsimoens's Avatar
    Join Date
    Mar 2007
    Location
    Gainesville, FL
    Posts
    37,330
    Vote Rating
    847
    mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute

      0  

    Default


    I will say it again. We have stated that once 4.2.0 GA is released we will turn attention to 3.4.2. This is from product management on a thread here in the forums.
    Mitchell Simoens @SenchaMitch
    Sencha Inc, Senior Forum Manager
    ________________
    Check out my GitHub, lots of nice things for Ext JS 4 and Sencha Touch 2
    https://github.com/mitchellsimoens

    Think my support is good? Get more personalized support via a support subscription. https://www.sencha.com/store/

    Need more help with your app? Hire Sencha Services services@sencha.com

    Want to learn Sencha Touch 2? Check out Sencha Touch in Action that is in print!

    When posting code, please use BBCode's CODE tags.

  8. #8
    Ext JS Premium Member
    Join Date
    Apr 2008
    Posts
    364
    Vote Rating
    21
    rich02818 will become famous soon enough

      0  

    Default


    Quote Originally Posted by willigogs View Post
    If you need to support IE10, then ways of manually enabling this have been posted in various threads. If your customers are demanding this, then I would suggest you take a look at the source code and implement this yourself. It really isn't very difficult...
    Anyone whose customers us IE on current PCs will need this asap.

    If we must try to fix this ourselves, then v3 is effectively unsupported. The fact that it is not difficult and rather well defined makes it all the more strange that Sencha has chosen to ignore this problem so far.

  9. #9
    Sencha - Senior Forum Manager mitchellsimoens's Avatar
    Join Date
    Mar 2007
    Location
    Gainesville, FL
    Posts
    37,330
    Vote Rating
    847
    mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute

      0  

    Default


    Once again, we are not ignoring it. Our focus is to get 4.2.0 in a GA release, people are also waiting for this release as well. And remember, 3.4.2 will likely be a support subscriber only release.
    Mitchell Simoens @SenchaMitch
    Sencha Inc, Senior Forum Manager
    ________________
    Check out my GitHub, lots of nice things for Ext JS 4 and Sencha Touch 2
    https://github.com/mitchellsimoens

    Think my support is good? Get more personalized support via a support subscription. https://www.sencha.com/store/

    Need more help with your app? Hire Sencha Services services@sencha.com

    Want to learn Sencha Touch 2? Check out Sencha Touch in Action that is in print!

    When posting code, please use BBCode's CODE tags.

  10. #10
    Sencha - Management Team abe.elias's Avatar
    Join Date
    Aug 2008
    Location
    Palo Alto, CA
    Posts
    406
    Vote Rating
    4
    abe.elias is on a distinguished road

      0  

    Default


    I'm on it Rich. You have my personal contact information - feel free to call me anytime. I'll have someone update this thread when we can provide some more insight into when Ext v3 will have IE10 fully supported.

    Abe